// LinkProperties.cpp : implementation file
//

#include "stdafx.h"
#include "Graph1.h"
#include "LinkProperties.h"
#include ".\linkproperties.h"



// CLinkProperties dialog

IMPLEMENT_DYNAMIC(CLinkProperties, CDialog)
CLinkProperties::CLinkProperties(CWnd* pParent /*=NULL*/)
	: CDialog(CLinkProperties::IDD, pParent)
{
}

CLinkProperties::~CLinkProperties()
{
}

void CLinkProperties::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//DDX_Control(pDX, IDC_EDIT_WEIGHT, link_weight);
}

BOOL CLinkProperties::OnInitDialog()
{
	GetDlgItem( IDC_EDIT_WEIGHT )->SetWindowText( lweight );	

	CString start = "Start node: ";
	start.Append( startNode );
	GetDlgItem( IDC_STATIC_START )->SetWindowText( start );

	CString end = "End node: ";
	end.Append( targetNode );
	GetDlgItem( IDC_STATIC_END )->SetWindowText( end );

	return TRUE;
}



BEGIN_MESSAGE_MAP(CLinkProperties, CDialog)
	ON_EN_CHANGE(IDC_EDIT_WEIGHT, OnEnChangeEditWeight)
	ON_BN_CLICKED(IDOK, OnBnClickedOk)	
	ON_EN_KILLFOCUS(IDC_EDIT_WEIGHT, OnEnKillfocusEditWeight)
END_MESSAGE_MAP()


// CLinkProperties message handlers
void CLinkProperties::OnEnChangeEditWeight()
{	
	CString linkText;
	GetDlgItem( IDC_EDIT_WEIGHT )->GetWindowText( linkText );
	lweight = linkText;
}

void CLinkProperties::OnBnClickedOk()
{
	// TODO: Add your control notification handler code here
	GetDlgItem( IDC_EDIT_WEIGHT )->SetWindowText( lweight );

	OnOK();
}


// Standard message handler
void CLinkProperties::OnEnKillfocusEditWeight()
{
	CString linkText;
	GetDlgItem( IDC_EDIT_WEIGHT )->GetWindowText( linkText );
	lweight.Format( linkText );
}
