#pragma once
#include "afxwin.h"


// CLinkProperties dialog

class CLinkProperties : public CDialog
{
	DECLARE_DYNAMIC(CLinkProperties)

public:
	CLinkProperties(CWnd* pParent = NULL);   // standard constructor
	virtual ~CLinkProperties();

	virtual BOOL OnInitDialog();

	void SetWeight( double weight )
	{ 
		lweight.Format( "%.3f", weight );	
	}

	CString GetWeight() 	
	{ 
		return lweight; 
	}

	void SetNodes( int start, int target )
	{ startNode.Format( "%i", start );
	  targetNode.Format( "%i", target ); }

	

// Dialog Data
	enum { IDD = IDD_LINKPROPS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	
	CString lweight;	
	CString startNode;
	CString targetNode;

public:
	afx_msg void OnEnChangeEditWeight();
	afx_msg void OnBnClickedOk();	
	afx_msg void OnEnKillfocusEditWeight();
};
