// NodeProperties.cpp : implementation file
//

#include "stdafx.h"
#include "Graph4.h"
#include "NodeProperties.h"
#include ".\nodeproperties.h"


// CNodeProperties dialog

IMPLEMENT_DYNAMIC(CNodeProperties, CDialog)
CNodeProperties::CNodeProperties(CWnd* pParent /*=NULL*/)
	: CDialog(CNodeProperties::IDD, pParent)
{
}

CNodeProperties::~CNodeProperties()
{
}

void CNodeProperties::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BOOL CNodeProperties::OnInitDialog()
{	
	CString value;

	CString xcoord = "X coordinate (screen): ";
	value.Format( "%i", coordinate.x );
	xcoord.Append( value );
	GetDlgItem( IDC_STATIC_X_SCREEN )->SetWindowText( xcoord );

	CString ycoord = "Y coordinate (screen): ";
	value.Format( "%i", coordinate.y );
	ycoord.Append( value );
	GetDlgItem( IDC_STATIC_Y_SCREEN )->SetWindowText( ycoord );

	GetDlgItem( IDC_EDIT_NODE_LABEL )->SetWindowText( label );	

	return TRUE;
}

BEGIN_MESSAGE_MAP(CNodeProperties, CDialog)
	ON_EN_CHANGE(IDC_EDIT_NODE_LABEL, OnEnChangeEditNodeLabel)
END_MESSAGE_MAP()


//
// CNodeProperties message handlers
//
void CNodeProperties::OnEnChangeEditNodeLabel()
{
	CString nlabel;	
	GetDlgItem( IDC_EDIT_NODE_LABEL )->GetWindowText( nlabel );		
	label = nlabel;
}
